import { dev } from '$app/environment';
const posts = import.meta.globEager('./*.svx');


let postData = [];
for (const path in posts) {
    // skip draft posts in production mode
    if (!dev && posts[path].metadata.draft) {
        continue;
    }

    // slice off the ./ and the .svx
    const slug = path.slice(2, -4);
    posts[path].metadata.slug = slug;
    postData.push(posts[path].metadata);
}


let ids = new Set();
for (const postMeta of postData) {
    if (postMeta.uuid === undefined) {
        throw(`Missing UUID for post: ${postMeta.title}`);
    }
    if (ids.has(postMeta.uuid)) {
        throw(`Duplicate UUID in post: ${postMeta.title}`);
    }
    ids.add(postMeta.uuid);
}


postData.sort((a, b) => {
    // sorting in reverse, so we flip the intuitive order
    if (a.date > b.date) return -1;
    if (a.date < b.date) return 1;
    return 0;
});

export { postData };
